> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> List all Devin sessions for your organization.

# List sessions



## OpenAPI

````yaml /v1-openapi.yaml GET /v1/sessions
openapi: 3.1.0
info:
  description: Devin v1 API with Personal and Service API Keys
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/sessions:
    get:
      summary: List sessions
      description: >-
        List all Devin sessions for your organization. Supports pagination and
        filtering by tags and user email.
      operationId: list_sessions_endpoint_v1_sessions_get
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            title: Offset
            type: integer
        - in: query
          name: skip
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Skip
        - description: List of tags to filter sessions by.
          in: query
          name: tags
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: List of tags to filter sessions by.
            title: Tags
        - description: Filter sessions by the creator's email address.
          in: query
          name: user_email
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter sessions by the creator's email address.
            title: User Email
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSessionsResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListSessionsResponse:
      description: Response containing a list of sessions.
      properties:
        sessions:
          items:
            $ref: '#/components/schemas/SessionSummary'
          title: Sessions
          type: array
      required:
        - sessions
      title: ListSessionsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SessionSummary:
      description: Summary information about a session for list responses.
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        playbook_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Playbook Id
        pull_request:
          anyOf:
            - $ref: '#/components/schemas/PullRequestInfo'
            - type: 'null'
        requesting_user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Requesting User Email
        session_id:
          title: Session Id
          type: string
        snapshot_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Snapshot Id
        status:
          title: Status
          type: string
        status_enum:
          anyOf:
            - enum:
                - working
                - blocked
                - expired
                - finished
                - suspend_requested
                - suspend_requested_frontend
                - resume_requested
                - resume_requested_frontend
                - resumed
              type: string
            - type: 'null'
          title: Status Enum
        structured_output:
          anyOf:
            - {}
            - type: 'null'
          title: Structured Output
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - session_id
        - status
        - created_at
        - updated_at
      title: SessionSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    PullRequestInfo:
      description: Pull request information associated with a session.
      properties:
        url:
          title: Url
          type: string
      required:
        - url
      title: PullRequestInfo
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) or Service API Key (apk_*)
      scheme: bearer
      type: http

````